Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoLineSet Class Reference
[Nodes]

The SoLineSet class is used to render and organize non-indexed polylines. More...

`#include <Inventor/nodes/SoLineSet.h>`

Inheritance diagram for SoLineSet:

List of all members.

## Public Methods
| SoLineSet (void)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoMFInt32 | numVertices
## Protected Methods
virtual | ~SoLineSet ()
virtual void | generatePrimitives (SoAction *action)
virtual void | computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)

## Detailed Description

The SoLineSet class is used to render and organize non-indexed polylines.

Polylines are specified using the numVertices field. Coordinates, normals, materials and texture coordinates are fetched in order from the current state or from the vertexProperty node if set. For example, if numVertices is set to [3, 4, 2], this node would specify a line through coordinates 0, 1 and 2, a line through coordinates 3, 4, 5 and 6, and finally a single line segment between coordinates 7 and 8.

Binding PER_VERTEX, PER_FACE, PER_PART or OVERALL can be set for material, and normals. The default material binding is OVERALL. The default normal binding is PER_VERTEX. If no normals are set, the line set will be rendered with lighting disabled.

The width of the rendered lines can be controlled through the insertion of an SoDrawStyle node in front of SoLineSet node(s) in the scenegraph.

See also:
  SoIndexedLineSet

## Constructor & Destructor Documentation

SoLineSet::SoLineSet | ( | void |  | ) |

| Constructor.

SoLineSet::~SoLineSet | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void sogl_ls_m3_n3_t1 void SoLineSet::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNonIndexedShape.

void SoLineSet::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoShape.

void SoLineSet::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

| Action method for the SoGetBoundingBoxAction. Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node. Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables. Reimplemented from SoShape.

void SoLineSet::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoShape.

void SoLineSet::generatePrimitives | ( | SoAction * | action | ) | `[protected, virtual]`

| The method implements action behavior for shape nodes for SoCallbackAction. It is invoked from SoShape::callback(). (Subclasses should not override SoNode::callback().) The subclass implementations uses the convenience methods SoShape::beginShape(), SoShape::shapeVertex(), and SoShape::endShape(), with SoDetail instances, to pass the primitives making up the shape back to the caller. Implements SoShape.

void SoLineSet::computeBBox | ( | SoAction * | action,
|  | SbBox3f & | box,
|  | SbVec3f & | center
| ) | `[protected, virtual]`

| Implemented by SoShape subclasses to let the SoShape superclass know the exact size and weighted center point of the shape's bounding box. The bounding box and center point should be calculated and returned in the local coordinate system. The method implements action behavior for shape nodes for SoGetBoundingBoxAction. It is invoked from SoShape::getBoundingBox(). (Subclasses should not override SoNode::getBoundingBox().) The box parameter sent in is guaranteed to be an empty box, while center is undefined upon function entry. Implements SoShape.

## Member Data Documentation

SoMFInt32 SoLineSet::numVertices

| Used to specify polylines. Each entry specifies the number of coordinates in a line. The coordinates are taken in order from the state or from the vertexProperty node.

The documentation for this class was generated from the following files:

- SoLineSet.h
- SoLineSet.cpp